Skip to content

Get Current User Info

GET
/api/v1/auth/me
curl --request GET \
--url https://api.totalview.energy/api/v1/auth/me \
--header 'Authorization: Bearer <token>'

Successful Response

Media type application/json
UserPublic

Public user information.

object
user_id
required
User Id
string format: uuid
username
required
Username
string
email
required
Email
string
customer_id
Any of:
string format: uuid
is_admin
required
Is Admin
boolean
totp_enabled
Totp Enabled
boolean
Example
{
"totp_enabled": false
}